Package com.xceptance.xlt.api.webdriver

# Class XltChromeDriver.Builder

java.lang.Object
com.xceptance.xlt.api.webdriver.XltChromeDriver.Builder

Enclosing class:
  `XltChromeDriver`

public static final class XltChromeDriver.Builder extends Object
Builder class to create `XltChromeDriver` instances. First set the desired properties and then call `build()` to get the configured driver instance.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XltChromeDriver`
  `build()`
  Creates a new `XltChromeDriver` instance configured with all the previously set properties.
  `XltChromeDriver.Builder`
  `setHeadless(boolean headless)`
  Whether to run the browser in headless mode.
  `XltChromeDriver.Builder`
  `setOptions(ChromeOptions options)`
  Sets the desired options.
  `XltChromeDriver.Builder`
  `setService(ChromeDriverService service)`
  Sets the desired driver service.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### setService

    public XltChromeDriver.Builder setService(ChromeDriverService service)
    Sets the desired driver service.
    Parameters:
      `service` - the service
    Returns:
      this builder instance

  - ### setOptions

    public XltChromeDriver.Builder setOptions(ChromeOptions options)
    Sets the desired options.
    Parameters:
      `options` - the options
    Returns:
      this builder instance

  - ### setHeadless

    public XltChromeDriver.Builder setHeadless(boolean headless)
    Whether to run the browser in headless mode.
    Parameters:
      `headless` - whether headless mode is enabled
    Returns:
      this builder instance

  - ### build

    public XltChromeDriver build()
    Creates a new `XltChromeDriver` instance configured with all the previously set properties.
    Returns:
      the driver instance